org.apache.ignite.internal.processors.cache.persistence.pagemem

## Interface PageMetrics

All Known Implementing Classes:
  PageMetricsImpl

    public interface PageMetrics

Container for different memory page-related metrics.

### Method Summary

All Methods Instance Methods Abstract Methods
`LongAdderMetric` `indexPages()` Number of index pages loaded into memory.
`void` `reset()` Resets all metric counters.
`LongAdderMetric` `totalPages()` Total number of allocated pages.

### Method Detail

#### totalPages

    LongAdderMetric totalPages()

Total number of allocated pages.

#### indexPages

    LongAdderMetric indexPages()

Number of index pages loaded into memory.

#### reset

    void reset()

Resets all metric counters.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022